## Script (Python) "fform_validate"
##bind container=container
##bind context=context
##bind namespace=
##bind script=script
##bind subpath=traverse_subpath
##parameters=form
##title=Form validation
##
request = context.REQUEST
try:
    result = form.validate_all_to_request(request)

    for field in form.get_fields():
        if field.meta_type == 'FakeField':
            del result[field.id]
            continue
            
        alternate_name = field.get_value('alternate_name')
        if alternate_name:
            del result[field.id]
    
    # call action
    try:
        getattr(context, form.action)(choice=request['choice'], **result)
    except:
        getattr(context, form.action)(**result)
    
except Exception, error:
    if hasattr(error, 'errors'):
        return error
    else:
        return {'errors': [error]}
    
return None
